Bug 1227952 - dnf update on a local directory does not handle mutliple versions of the same package
dnf update on a local directory does not handle mutliple versions of the same...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1197456
  Show dependency treegraph
 
Reported: 2015-06-03 18:43 EDT by Simo Sorce
Modified: 2015-08-31 04:59 EDT (History)
9 users (show)

See Also:
Fixed In Version: dnf-plugins-core-0.1.10-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-14 22:14:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simo Sorce 2015-06-03 18:43:22 EDT
In a directory I have multiple RPMs built out of a git project, like:
dir/project-1.2.3-1.rc22.rpm
dir/project-1.2.4-1.rc22.rpm
dir/project-1.2.5-1.rc22.rpm

If I run dnf update ./dir/*rpm I get an error that dnf cannot install both 1.2.3, 1.2.4 and 1.2.5 instead of getting the latest version installed.

This used to work just fine with yum, it would pick the highest version and ignore the older packages.

Given my project builds multiple subpackages and in development my version number includes a date and long git hash, it is really cumbersome to have to manually sort out which packages to install. DNF should be smart enough to figure out I want the latest installed.
Comment 1 Honza Silhan 2015-07-24 07:27:27 EDT
The workaround could be skipping the rest packages.
Comment 2 Fedora Update System 2015-08-10 06:05:13 EDT
dnf-plugins-core-0.1.10-1.fc23,dnf-1.1.0-1.fc23,hawkey-0.6.0-1.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/dnf-plugins-core-0.1.10-1.fc23,dnf-1.1.0-1.fc23,hawkey-0.6.0-1.fc23
Comment 3 Fedora Update System 2015-08-10 06:49:44 EDT
dnf-plugins-core-0.1.10-1.fc22,dnf-1.1.0-1.fc22,hawkey-0.6.0-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/dnf-plugins-core-0.1.10-1.fc22,dnf-1.1.0-1.fc22,hawkey-0.6.0-1.fc22
Comment 4 Fedora Update System 2015-08-10 22:10:55 EDT
Package dnf-plugins-core-0.1.10-1.fc22, dnf-1.1.0-1.fc22, hawkey-0.6.0-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-plugins-core-0.1.10-1.fc22 dnf-1.1.0-1.fc22 hawkey-0.6.0-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-13162/dnf-plugins-core-0.1.10-1.fc22,dnf-1.1.0-1.fc22,hawkey-0.6.0-1.fc22
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2015-08-14 22:14:07 EDT
dnf-plugins-core-0.1.10-1.fc22, hawkey-0.6.0-1.fc22, dnf-1.1.0-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2015-08-19 03:51:03 EDT
dnf-plugins-core-0.1.10-1.fc23, hawkey-0.6.0-1.fc23, dnf-1.1.0-2.fc23 has been pushed to the Fedora 23 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Dario Lesca 2015-08-31 04:54:00 EDT
How to use this "feature"?

If I run dnf (like yum, without options) still not work:

[root@ludo-seashell ~]# dnf install foo banner bar
Last metadata expiration check performed 2:44:04 ago on Mon Aug 31 08:06:14 2015.
Nessun pacchetto foo disponibile.
Nessun pacchetto bar disponibile.
Errore: Unable to find a match.
[root@ludo-seashell ~]# rpm  -q dnf-plugins-core
dnf-plugins-core-0.1.10-1.fc22.noarch

If I pass only "banner", dnf install it.
 
I must use some options?
Many thanks
Comment 8 Dario Lesca 2015-08-31 04:59:58 EDT
(In reply to Dario Lesca from comment #7)
> How to use this "feature"?
> 
> If I run dnf (like yum, without options) still not work:
> 
> [root@ludo-seashell ~]# dnf install foo banner bar
> Last metadata expiration check performed 2:44:04 ago on Mon Aug 31 08:06:14
> 2015.
> Nessun pacchetto foo disponibile.
> Nessun pacchetto bar disponibile.
> Errore: Unable to find a match.
> [root@ludo-seashell ~]# rpm  -q dnf-plugins-core
> dnf-plugins-core-0.1.10-1.fc22.noarch
> 
> If I pass only "banner", dnf install it.
>  
> I must use some options?
> Many thanks

Oppss
Sorry, this comment was for another bug:
https://bugzilla.redhat.com/show_bug.cgi?id=1197456
Please, ignore it.
Thanks

Note You need to log in before you can comment on or make changes to this bug.